
public class Class225_Sub14_Sub16_Sub1 extends Class225_Sub14_Sub16 {

   byte[] aByteArray10641;
   int anInt10642;
   int anInt10643;
   int anInt10644;
   int anInt10645;
   static final int anInt10646 = 16;


   void method16447() {
      int var1 = -1;

      for(int var2 = this.aByteArray10641.length - 8; var1 < var2; this.aByteArray10641[var1] = 0) {
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
      }

      while(var1 < this.aByteArray10641.length - 1) {
         ++var1;
         this.aByteArray10641[var1] = 0;
      }

   }

   void method16448(int var1, int var2, int var3, int var4) {
      this.anInt10644 = var1;
      this.anInt10645 = var2;
      this.anInt10642 = var3 - var1;
      this.anInt10643 = var4 - var2;
   }

   boolean method16449(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   void method16450(int var1, int var2, int var3, int var4) {
      this.anInt10644 = var1;
      this.anInt10645 = var2;
      this.anInt10642 = var3 - var1;
      this.anInt10643 = var4 - var2;
   }

   void method16451(int var1, int var2, int var3, int var4, int var5, int var6) {
      int var7 = 0;
      if(var2 != var1) {
         var7 = (var5 - var4 << 16) / (var2 - var1);
      }

      int var8 = 0;
      if(var3 != var2) {
         var8 = (var6 - var5 << 16) / (var3 - var2);
      }

      int var9 = 0;
      if(var3 != var1) {
         var9 = (var4 - var6 << 16) / (var1 - var3);
      }

      if(var1 <= var2 && var1 <= var3) {
         if(var2 < var3) {
            var6 = var4 <<= 16;
            if(var1 < 0) {
               var6 -= var9 * var1;
               var4 -= var7 * var1;
               var1 = 0;
            }

            var5 <<= 16;
            if(var2 < 0) {
               var5 -= var8 * var2;
               var2 = 0;
            }

            if((var1 == var2 || var9 >= var7) && (var1 != var2 || var9 <= var8)) {
               var3 -= var2;
               var2 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var5 >> 16, var6 >> 16);
                        var6 += var9;
                        var5 += var8;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var4 >> 16, var6 >> 16);
                  var6 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            } else {
               var3 -= var2;
               var2 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var6 >> 16, var5 >> 16);
                        var6 += var9;
                        var5 += var8;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var6 >> 16, var4 >> 16);
                  var6 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            }
         } else {
            var5 = var4 <<= 16;
            if(var1 < 0) {
               var5 -= var9 * var1;
               var4 -= var7 * var1;
               var1 = 0;
            }

            var6 <<= 16;
            if(var3 < 0) {
               var6 -= var8 * var3;
               var3 = 0;
            }

            if((var1 == var3 || var9 >= var7) && (var1 != var3 || var8 <= var7)) {
               var2 -= var3;
               var3 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var2;
                        if(var2 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var4 >> 16, var6 >> 16);
                        var6 += var8;
                        var4 += var7;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var4 >> 16, var5 >> 16);
                  var5 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            } else {
               var2 -= var3;
               var3 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var2;
                        if(var2 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var6 >> 16, var4 >> 16);
                        var6 += var8;
                        var4 += var7;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var5 >> 16, var4 >> 16);
                  var5 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            }
         }
      } else if(var2 <= var3) {
         if(var3 < var1) {
            var4 = var5 <<= 16;
            if(var2 < 0) {
               var4 -= var7 * var2;
               var5 -= var8 * var2;
               var2 = 0;
            }

            var6 <<= 16;
            if(var3 < 0) {
               var6 -= var9 * var3;
               var3 = 0;
            }

            if((var2 == var3 || var7 >= var8) && (var2 != var3 || var7 <= var9)) {
               var1 -= var3;
               var3 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var1;
                        if(var1 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var6 >> 16, var4 >> 16);
                        var4 += var7;
                        var6 += var9;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var5 >> 16, var4 >> 16);
                  var4 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            } else {
               var1 -= var3;
               var3 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var1;
                        if(var1 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var4 >> 16, var6 >> 16);
                        var4 += var7;
                        var6 += var9;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var4 >> 16, var5 >> 16);
                  var4 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            }
         } else {
            var6 = var5 <<= 16;
            if(var2 < 0) {
               var6 -= var7 * var2;
               var5 -= var8 * var2;
               var2 = 0;
            }

            var4 <<= 16;
            if(var1 < 0) {
               var4 -= var9 * var1;
               var1 = 0;
            }

            if(var7 < var8) {
               var3 -= var1;
               var1 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var1;
                  if(var1 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var4 >> 16, var5 >> 16);
                        var4 += var9;
                        var5 += var8;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var6 >> 16, var5 >> 16);
                  var6 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            } else {
               var3 -= var1;
               var1 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var1;
                  if(var1 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var5 >> 16, var4 >> 16);
                        var4 += var9;
                        var5 += var8;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var5 >> 16, var6 >> 16);
                  var6 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            }
         }
      } else if(var1 < var2) {
         var5 = var6 <<= 16;
         if(var3 < 0) {
            var5 -= var8 * var3;
            var6 -= var9 * var3;
            var3 = 0;
         }

         var4 <<= 16;
         if(var1 < 0) {
            var4 -= var7 * var1;
            var1 = 0;
         }

         if(var8 < var9) {
            var2 -= var1;
            var1 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var1;
               if(var1 < 0) {
                  while(true) {
                     --var2;
                     if(var2 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var5 >> 16, var4 >> 16);
                     var5 += var8;
                     var4 += var7;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var5 >> 16, var6 >> 16);
               var5 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         } else {
            var2 -= var1;
            var1 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var1;
               if(var1 < 0) {
                  while(true) {
                     --var2;
                     if(var2 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var4 >> 16, var5 >> 16);
                     var5 += var8;
                     var4 += var7;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var6 >> 16, var5 >> 16);
               var5 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         }
      } else {
         var4 = var6 <<= 16;
         if(var3 < 0) {
            var4 -= var8 * var3;
            var6 -= var9 * var3;
            var3 = 0;
         }

         var5 <<= 16;
         if(var2 < 0) {
            var5 -= var7 * var2;
            var2 = 0;
         }

         if(var8 < var9) {
            var1 -= var2;
            var2 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var2;
               if(var2 < 0) {
                  while(true) {
                     --var1;
                     if(var1 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var5 >> 16, var6 >> 16);
                     var5 += var7;
                     var6 += var9;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var4 >> 16, var6 >> 16);
               var4 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         } else {
            var1 -= var2;
            var2 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var2;
               if(var2 < 0) {
                  while(true) {
                     --var1;
                     if(var1 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var6 >> 16, var5 >> 16);
                     var5 += var7;
                     var6 += var9;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var6 >> 16, var4 >> 16);
               var4 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         }
      }
   }

   static final void method16452(byte[] var0, int var1, int var2, int var3, int var4) {
      if(var3 < var4) {
         var1 += var3;
         var2 = var4 - var3 >> 2;

         while(true) {
            --var2;
            if(var2 < 0) {
               var2 = var4 - var3 & 3;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     return;
                  }

                  var0[var1++] = 1;
               }
            }

            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
         }
      }
   }

   void method16453(int var1, int var2, int var3, int var4) {
      this.anInt10644 = var1;
      this.anInt10645 = var2;
      this.anInt10642 = var3 - var1;
      this.anInt10643 = var4 - var2;
   }

   void method16454(int var1, int var2, int var3, int var4, int var5, int var6) {
      int var7 = 0;
      if(var2 != var1) {
         var7 = (var5 - var4 << 16) / (var2 - var1);
      }

      int var8 = 0;
      if(var3 != var2) {
         var8 = (var6 - var5 << 16) / (var3 - var2);
      }

      int var9 = 0;
      if(var3 != var1) {
         var9 = (var4 - var6 << 16) / (var1 - var3);
      }

      if(var1 <= var2 && var1 <= var3) {
         if(var2 < var3) {
            var6 = var4 <<= 16;
            if(var1 < 0) {
               var6 -= var9 * var1;
               var4 -= var7 * var1;
               var1 = 0;
            }

            var5 <<= 16;
            if(var2 < 0) {
               var5 -= var8 * var2;
               var2 = 0;
            }

            if((var1 == var2 || var9 >= var7) && (var1 != var2 || var9 <= var8)) {
               var3 -= var2;
               var2 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var5 >> 16, var6 >> 16);
                        var6 += var9;
                        var5 += var8;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var4 >> 16, var6 >> 16);
                  var6 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            } else {
               var3 -= var2;
               var2 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var6 >> 16, var5 >> 16);
                        var6 += var9;
                        var5 += var8;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var6 >> 16, var4 >> 16);
                  var6 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            }
         } else {
            var5 = var4 <<= 16;
            if(var1 < 0) {
               var5 -= var9 * var1;
               var4 -= var7 * var1;
               var1 = 0;
            }

            var6 <<= 16;
            if(var3 < 0) {
               var6 -= var8 * var3;
               var3 = 0;
            }

            if((var1 == var3 || var9 >= var7) && (var1 != var3 || var8 <= var7)) {
               var2 -= var3;
               var3 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var2;
                        if(var2 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var4 >> 16, var6 >> 16);
                        var6 += var8;
                        var4 += var7;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var4 >> 16, var5 >> 16);
                  var5 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            } else {
               var2 -= var3;
               var3 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var2;
                        if(var2 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var6 >> 16, var4 >> 16);
                        var6 += var8;
                        var4 += var7;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var5 >> 16, var4 >> 16);
                  var5 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            }
         }
      } else if(var2 <= var3) {
         if(var3 < var1) {
            var4 = var5 <<= 16;
            if(var2 < 0) {
               var4 -= var7 * var2;
               var5 -= var8 * var2;
               var2 = 0;
            }

            var6 <<= 16;
            if(var3 < 0) {
               var6 -= var9 * var3;
               var3 = 0;
            }

            if((var2 == var3 || var7 >= var8) && (var2 != var3 || var7 <= var9)) {
               var1 -= var3;
               var3 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var1;
                        if(var1 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var6 >> 16, var4 >> 16);
                        var4 += var7;
                        var6 += var9;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var5 >> 16, var4 >> 16);
                  var4 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            } else {
               var1 -= var3;
               var3 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var1;
                        if(var1 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var4 >> 16, var6 >> 16);
                        var4 += var7;
                        var6 += var9;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var4 >> 16, var5 >> 16);
                  var4 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            }
         } else {
            var6 = var5 <<= 16;
            if(var2 < 0) {
               var6 -= var7 * var2;
               var5 -= var8 * var2;
               var2 = 0;
            }

            var4 <<= 16;
            if(var1 < 0) {
               var4 -= var9 * var1;
               var1 = 0;
            }

            if(var7 < var8) {
               var3 -= var1;
               var1 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var1;
                  if(var1 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var4 >> 16, var5 >> 16);
                        var4 += var9;
                        var5 += var8;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var6 >> 16, var5 >> 16);
                  var6 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            } else {
               var3 -= var1;
               var1 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var1;
                  if(var1 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var5 >> 16, var4 >> 16);
                        var4 += var9;
                        var5 += var8;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var5 >> 16, var6 >> 16);
                  var6 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            }
         }
      } else if(var1 < var2) {
         var5 = var6 <<= 16;
         if(var3 < 0) {
            var5 -= var8 * var3;
            var6 -= var9 * var3;
            var3 = 0;
         }

         var4 <<= 16;
         if(var1 < 0) {
            var4 -= var7 * var1;
            var1 = 0;
         }

         if(var8 < var9) {
            var2 -= var1;
            var1 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var1;
               if(var1 < 0) {
                  while(true) {
                     --var2;
                     if(var2 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var5 >> 16, var4 >> 16);
                     var5 += var8;
                     var4 += var7;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var5 >> 16, var6 >> 16);
               var5 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         } else {
            var2 -= var1;
            var1 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var1;
               if(var1 < 0) {
                  while(true) {
                     --var2;
                     if(var2 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var4 >> 16, var5 >> 16);
                     var5 += var8;
                     var4 += var7;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var6 >> 16, var5 >> 16);
               var5 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         }
      } else {
         var4 = var6 <<= 16;
         if(var3 < 0) {
            var4 -= var8 * var3;
            var6 -= var9 * var3;
            var3 = 0;
         }

         var5 <<= 16;
         if(var2 < 0) {
            var5 -= var7 * var2;
            var2 = 0;
         }

         if(var8 < var9) {
            var1 -= var2;
            var2 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var2;
               if(var2 < 0) {
                  while(true) {
                     --var1;
                     if(var1 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var5 >> 16, var6 >> 16);
                     var5 += var7;
                     var6 += var9;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var4 >> 16, var6 >> 16);
               var4 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         } else {
            var1 -= var2;
            var2 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var2;
               if(var2 < 0) {
                  while(true) {
                     --var1;
                     if(var1 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var6 >> 16, var5 >> 16);
                     var5 += var7;
                     var6 += var9;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var6 >> 16, var4 >> 16);
               var4 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         }
      }
   }

   boolean method16455(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   Class225_Sub14_Sub16_Sub1(Class545_Sub2 var1, int var2, int var3) {
      this.aByteArray10641 = new byte[var2 * var3];
   }

   static final void method16456(byte[] var0, int var1, int var2, int var3, int var4) {
      if(var3 < var4) {
         var1 += var3;
         var2 = var4 - var3 >> 2;

         while(true) {
            --var2;
            if(var2 < 0) {
               var2 = var4 - var3 & 3;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     return;
                  }

                  var0[var1++] = 1;
               }
            }

            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
         }
      }
   }

   boolean method16457(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   boolean method16458(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   boolean method16459(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   void method16460() {
      int var1 = -1;

      for(int var2 = this.aByteArray10641.length - 8; var1 < var2; this.aByteArray10641[var1] = 0) {
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
      }

      while(var1 < this.aByteArray10641.length - 1) {
         ++var1;
         this.aByteArray10641[var1] = 0;
      }

   }

   void method16461() {
      int var1 = -1;

      for(int var2 = this.aByteArray10641.length - 8; var1 < var2; this.aByteArray10641[var1] = 0) {
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
         this.aByteArray10641[var1] = 0;
         ++var1;
      }

      while(var1 < this.aByteArray10641.length - 1) {
         ++var1;
         this.aByteArray10641[var1] = 0;
      }

   }

   void method16462(int var1, int var2, int var3, int var4, int var5, int var6) {
      int var7 = 0;
      if(var2 != var1) {
         var7 = (var5 - var4 << 16) / (var2 - var1);
      }

      int var8 = 0;
      if(var3 != var2) {
         var8 = (var6 - var5 << 16) / (var3 - var2);
      }

      int var9 = 0;
      if(var3 != var1) {
         var9 = (var4 - var6 << 16) / (var1 - var3);
      }

      if(var1 <= var2 && var1 <= var3) {
         if(var2 < var3) {
            var6 = var4 <<= 16;
            if(var1 < 0) {
               var6 -= var9 * var1;
               var4 -= var7 * var1;
               var1 = 0;
            }

            var5 <<= 16;
            if(var2 < 0) {
               var5 -= var8 * var2;
               var2 = 0;
            }

            if((var1 == var2 || var9 >= var7) && (var1 != var2 || var9 <= var8)) {
               var3 -= var2;
               var2 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var5 >> 16, var6 >> 16);
                        var6 += var9;
                        var5 += var8;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var4 >> 16, var6 >> 16);
                  var6 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            } else {
               var3 -= var2;
               var2 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var6 >> 16, var5 >> 16);
                        var6 += var9;
                        var5 += var8;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var6 >> 16, var4 >> 16);
                  var6 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            }
         } else {
            var5 = var4 <<= 16;
            if(var1 < 0) {
               var5 -= var9 * var1;
               var4 -= var7 * var1;
               var1 = 0;
            }

            var6 <<= 16;
            if(var3 < 0) {
               var6 -= var8 * var3;
               var3 = 0;
            }

            if((var1 == var3 || var9 >= var7) && (var1 != var3 || var8 <= var7)) {
               var2 -= var3;
               var3 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var2;
                        if(var2 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var4 >> 16, var6 >> 16);
                        var6 += var8;
                        var4 += var7;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var4 >> 16, var5 >> 16);
                  var5 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            } else {
               var2 -= var3;
               var3 -= var1;
               var1 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var2;
                        if(var2 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var1, 0, var6 >> 16, var4 >> 16);
                        var6 += var8;
                        var4 += var7;
                        var1 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var1, 0, var5 >> 16, var4 >> 16);
                  var5 += var9;
                  var4 += var7;
                  var1 += this.anInt10642;
               }
            }
         }
      } else if(var2 <= var3) {
         if(var3 < var1) {
            var4 = var5 <<= 16;
            if(var2 < 0) {
               var4 -= var7 * var2;
               var5 -= var8 * var2;
               var2 = 0;
            }

            var6 <<= 16;
            if(var3 < 0) {
               var6 -= var9 * var3;
               var3 = 0;
            }

            if((var2 == var3 || var7 >= var8) && (var2 != var3 || var7 <= var9)) {
               var1 -= var3;
               var3 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var1;
                        if(var1 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var6 >> 16, var4 >> 16);
                        var4 += var7;
                        var6 += var9;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var5 >> 16, var4 >> 16);
                  var4 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            } else {
               var1 -= var3;
               var3 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var3;
                  if(var3 < 0) {
                     while(true) {
                        --var1;
                        if(var1 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var4 >> 16, var6 >> 16);
                        var4 += var7;
                        var6 += var9;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var4 >> 16, var5 >> 16);
                  var4 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            }
         } else {
            var6 = var5 <<= 16;
            if(var2 < 0) {
               var6 -= var7 * var2;
               var5 -= var8 * var2;
               var2 = 0;
            }

            var4 <<= 16;
            if(var1 < 0) {
               var4 -= var9 * var1;
               var1 = 0;
            }

            if(var7 < var8) {
               var3 -= var1;
               var1 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var1;
                  if(var1 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var4 >> 16, var5 >> 16);
                        var4 += var9;
                        var5 += var8;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var6 >> 16, var5 >> 16);
                  var6 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            } else {
               var3 -= var1;
               var1 -= var2;
               var2 *= this.anInt10642;

               while(true) {
                  --var1;
                  if(var1 < 0) {
                     while(true) {
                        --var3;
                        if(var3 < 0) {
                           return;
                        }

                        method16452(this.aByteArray10641, var2, 0, var5 >> 16, var4 >> 16);
                        var4 += var9;
                        var5 += var8;
                        var2 += this.anInt10642;
                     }
                  }

                  method16452(this.aByteArray10641, var2, 0, var5 >> 16, var6 >> 16);
                  var6 += var7;
                  var5 += var8;
                  var2 += this.anInt10642;
               }
            }
         }
      } else if(var1 < var2) {
         var5 = var6 <<= 16;
         if(var3 < 0) {
            var5 -= var8 * var3;
            var6 -= var9 * var3;
            var3 = 0;
         }

         var4 <<= 16;
         if(var1 < 0) {
            var4 -= var7 * var1;
            var1 = 0;
         }

         if(var8 < var9) {
            var2 -= var1;
            var1 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var1;
               if(var1 < 0) {
                  while(true) {
                     --var2;
                     if(var2 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var5 >> 16, var4 >> 16);
                     var5 += var8;
                     var4 += var7;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var5 >> 16, var6 >> 16);
               var5 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         } else {
            var2 -= var1;
            var1 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var1;
               if(var1 < 0) {
                  while(true) {
                     --var2;
                     if(var2 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var4 >> 16, var5 >> 16);
                     var5 += var8;
                     var4 += var7;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var6 >> 16, var5 >> 16);
               var5 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         }
      } else {
         var4 = var6 <<= 16;
         if(var3 < 0) {
            var4 -= var8 * var3;
            var6 -= var9 * var3;
            var3 = 0;
         }

         var5 <<= 16;
         if(var2 < 0) {
            var5 -= var7 * var2;
            var2 = 0;
         }

         if(var8 < var9) {
            var1 -= var2;
            var2 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var2;
               if(var2 < 0) {
                  while(true) {
                     --var1;
                     if(var1 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var5 >> 16, var6 >> 16);
                     var5 += var7;
                     var6 += var9;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var4 >> 16, var6 >> 16);
               var4 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         } else {
            var1 -= var2;
            var2 -= var3;
            var3 *= this.anInt10642;

            while(true) {
               --var2;
               if(var2 < 0) {
                  while(true) {
                     --var1;
                     if(var1 < 0) {
                        return;
                     }

                     method16452(this.aByteArray10641, var3, 0, var6 >> 16, var5 >> 16);
                     var5 += var7;
                     var6 += var9;
                     var3 += this.anInt10642;
                  }
               }

               method16452(this.aByteArray10641, var3, 0, var6 >> 16, var4 >> 16);
               var4 += var8;
               var6 += var9;
               var3 += this.anInt10642;
            }
         }
      }
   }

   boolean method16463(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   boolean method16464(int var1, int var2) {
      return this.aByteArray10641.length >= var1 * var2;
   }

   static final void method16465(byte[] var0, int var1, int var2, int var3, int var4) {
      if(var3 < var4) {
         var1 += var3;
         var2 = var4 - var3 >> 2;

         while(true) {
            --var2;
            if(var2 < 0) {
               var2 = var4 - var3 & 3;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     return;
                  }

                  var0[var1++] = 1;
               }
            }

            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
         }
      }
   }

   static final void method16466(byte[] var0, int var1, int var2, int var3, int var4) {
      if(var3 < var4) {
         var1 += var3;
         var2 = var4 - var3 >> 2;

         while(true) {
            --var2;
            if(var2 < 0) {
               var2 = var4 - var3 & 3;

               while(true) {
                  --var2;
                  if(var2 < 0) {
                     return;
                  }

                  var0[var1++] = 1;
               }
            }

            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
            var0[var1++] = 1;
         }
      }
   }
}
